Update Form
curl --request PATCH \
--url https://geniusforms.ai/api/v1/forms/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"webhookUrl": "<string>",
"webhookEnabled": true
}
'import requests
url = "https://geniusforms.ai/api/v1/forms/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"webhookUrl": "<string>",
"webhookEnabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
webhookUrl: '<string>',
webhookEnabled: true
})
};
fetch('https://geniusforms.ai/api/v1/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 208,
"title": "Customer Feedback",
"description": "Help us improve our service",
"isPublished": false,
"shareUrl": "abc123xyz",
"url": "https://geniusforms.ai/f/abc123xyz",
"displayMode": "single-page",
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"webhook": {
"enabled": false,
"url": "https://example.com/webhook"
}
}Forms
Update Form
Update form metadata and webhook configuration. At least one field must be provided.
PATCH
/
forms
/
{id}
Update Form
curl --request PATCH \
--url https://geniusforms.ai/api/v1/forms/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"webhookUrl": "<string>",
"webhookEnabled": true
}
'import requests
url = "https://geniusforms.ai/api/v1/forms/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"webhookUrl": "<string>",
"webhookEnabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
webhookUrl: '<string>',
webhookEnabled: true
})
};
fetch('https://geniusforms.ai/api/v1/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 208,
"title": "Customer Feedback",
"description": "Help us improve our service",
"isPublished": false,
"shareUrl": "abc123xyz",
"url": "https://geniusforms.ai/f/abc123xyz",
"displayMode": "single-page",
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"webhook": {
"enabled": false,
"url": "https://example.com/webhook"
}
}Authorizations
API key obtained from your GeniusForms dashboard
Path Parameters
Body
application/json
Available options:
single-page, multi-step Webhook URL to receive form submissions. Set to null or empty string to clear.
Maximum string length:
2000Enable or disable webhook delivery. Requires a webhookUrl to be set.
Response
200 - application/json
Form updated
Example:
208
Example:
"Customer Feedback"
Example:
"Help us improve our service"
Example:
false
Example:
"abc123xyz"
Example:
"https://geniusforms.ai/f/abc123xyz"
Available options:
single-page, multi-step Example:
"single-page"
Webhook configuration for the form
Show child attributes
Show child attributes